| dfeofdm Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeOfdm_InternalCarrierCfg Struct Reference
Overview

Internal configuration for a single CC. More...

## Data Fields
u32 | Enable
| [0,1] (Private) Enable the CC. More...
u32 | Numerology
| [0-6] Numerology (Mu) value for this CC. More...
u32 | FftSize
| [9,10,11,12] FFT size to be used for FFT of the CC. More...
u32 | NumSubcarriers
                [0-14] Number of non-null subcarriers in this
CC. More...
u32 | ScaleFactor
              [0-1023] Scaling factor for FFT output for this
CC, represented as a fixed-point value in 0.10 fixed-point format. More...
u32 | CommsStandard
| [0-1] More...
u32 | OutputDelay
              [0-2047] Delay required before outputting CC
in order to balance CC Filter group delay. More...
u32 | PhaseCompensation [XDFEOFDM_PHASE_COMPENSATION_MAX]
                    Phase weight is
a complex number with 0 to 15 bits providing the I and 16 to 31 bits the Q part of the weight. More...

## Detailed Description

Internal configuration for a single CC.

## Field Documentation

u32 XDfeOfdm_InternalCarrierCfg::CommsStandard

[0-1]

- 1 = LTE
- 0 = 5G NR

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_GetCarrierCfg(), XDfeOfdm_SetNextCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::Enable

[0,1] (Private) Enable the CC.

This is distinct from removing from the CC from the sequence. When enable is not set, the associated CCID will appear in sequence, but its valid will not propagate.

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_RemoveCCfromCCCfg(), and XDfeOfdm_SetNextCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::FftSize

[9,10,11,12] FFT size to be used for FFT of the CC.

Valid sizes are:

- 512 = 0x9
- 1024 = 0xA
- 2048 = 0xB
- 4096 = 0xC

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_GetCarrierCfg(), XDfeOfdm_SetNextCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::Numerology

[0-6] Numerology (Mu) value for this CC.

- 0 = 15 kHz
- 1 = 30 kHz
- 2 = 60 KHz
- 3 = 120 KHz
- 4 = 240 KHz
- 5 = 480 KHz
- 6 = 960 KHz

Numerology must be 0 for LTE.

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_GetCarrierCfg(), XDfeOfdm_SetNextCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::NumSubcarriers

                [0-14] Number of non-null subcarriers in this

CC.

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_GetCarrierCfg(), XDfeOfdm_SetNextCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::OutputDelay

              [0-2047] Delay required before outputting CC

in order to balance CC Filter group delay.

Referenced by XDfeOfdm_GetCarrierCfg(), and XDfeOfdm_SetNextCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::PhaseCompensation[XDFEOFDM_PHASE_COMPENSATION_MAX]

                    Phase weight is

a complex number with 0 to 15 bits providing the I and 16 to 31 bits the Q part of the weight.

Referenced by XDfeOfdm_AddCCtoCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().

u32 XDfeOfdm_InternalCarrierCfg::ScaleFactor

              [0-1023] Scaling factor for FFT output for this

CC, represented as a fixed-point value in 0.10 fixed-point format.

0=>(multiple of 0), 1=>(multiple of 0.999)

Referenced by XDfeOfdm_AddCCtoCCCfg(), XDfeOfdm_GetCarrierCfg(), XDfeOfdm_SetNextCCCfg(), and XDfeOfdm_UpdateCCinCCCfg().